%define name gnumeric
%define version 0.70
%define release 3mdk
%define bonobo -bonobo

Name: %{name}
Summary: A full-featured spreadsheet for GNOME.
Version: %{version}
Release: %{release}
License: GPL
Group: Office
Packager: Renaud Chaillat <rchaillat@mandrakesoft.com>
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}-48.xpm.bz2
Source2: %{name}-32.xpm.bz2
Source3: %{name}-16.xpm.bz2
Source4: %{name}-48.png.bz2
URL: http://www.gnome.org/gnumeric/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Requires: gnome-libs >= 1.0.57
Requires: libglade >= 0.16
Requires: guile >= 1.3 
Requires: gnome-print >= 0.25 
Requires: gtk+ >= 1.2.7 
Requires: gnome-core 
Requires: libole20 >= 0.2.3
Requires: libxml >= 1.8.12
Requires: libgal11
Requires: python
Requires: libgda0 >= 0.2.4
Requires: ORBit
Requires: bonobo >= 1.0.7

BuildRequires:	bonobo-devel >= 1.0.7
BuildRequires:	db1-devel
BuildRequires:	GConf-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gnome-print-devel >= 0.25 
BuildRequires:	guile-devel >= 1.3 
BuildRequires:	libgal11-devel
BuildRequires:	libgda0-devel >= 0.2.4
BuildRequires:	libglade-devel >= 0.16
BuildRequires:	libole20-devel >= 0.2.3
BuildRequires:	oaf-devel
BuildRequires:	popt-devel
BuildRequires:	python-devel

# TO REMOVE IN THE FUTURE
#BuildConflicts: libxml2-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%package devel
Summary: Files necessary to develop gnumeric-based applications.
Group: Development/C
Requires: %{name} = %{version}

%description devel
The gnumeric-devel package includes files necessary to develop gnumeric-based
applications.

Install gnumeric-devel if you want to develop programs which will use gnumeric.

%prep
%setup -q

# (fc) 0.69-1mdk need since Makefile.in were wrongly generated with Evolution support
automake

%build
%configure --without-gb
#configure --without-gb --with-guile
#configure --without-bonobo --without-gb

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install \
DESTDIR=$RPM_BUILD_ROOT 

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.xpm" section="Office/Spreadsheets" \
title="Gnumeric" longtitle="A full-featured spreadsheet for Gnome"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS BUGS README COPYING TODO
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{version}%{bonobo}
%dir %{_libdir}/%{name}/%{version}%{bonobo}/plugins
%dir %{_libdir}/%{name}/%{version}%{bonobo}/plugins/*
%{_libdir}/%{name}/%{version}%{bonobo}/plugins/*/*.xml
%{_libdir}/%{name}/%{version}%{bonobo}/plugins/*/*.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}%{bonobo}
%dir %{_datadir}/%{name}/%{version}%{bonobo}/autoformat-templates
%dir %{_datadir}/%{name}/%{version}%{bonobo}/autoformat-templates/*
%{_datadir}/%{name}/%{version}%{bonobo}/autoformat-templates/*/*.xml
%{_datadir}/%{name}/%{version}%{bonobo}/autoformat-templates/*/.category
%{_datadir}/%{name}/%{version}%{bonobo}/glade
%{_datadir}/%{name}/%{version}%{bonobo}/gnome
#%{_datadir}/%{name}/%{version}%{bonobo}/guile
%{_datadir}/%{name}/%{version}%{bonobo}/python
%{_datadir}/%{name}/%{version}%{bonobo}/templates
%{_datadir}/gnome/apps/*/gnumeric.desktop
%{_datadir}/gnome/help/gnumeric
%{_datadir}/mc/templates/*
%{_datadir}/mime-info/*
%{_datadir}/oaf/GNOME_Gnumeric.oaf
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.png

%files devel
%defattr (-, root, root)
%doc HACKING
%{_libdir}/gnumericConf.sh
%{_datadir}/%{name}/%{version}%{bonobo}/idl
%{_libdir}/%{name}/%{version}%{bonobo}/plugins/*/*.la

%changelog
* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.70-3mdk
- rebuild including latest translations

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.70-2mdk
- Recompiled against libgal11

* Tue Aug 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.70-1mdk
- Release 0.70

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.69-1mdk
- Release 0.69

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.68-2mdk
- Recompiled against latest gal

* Wed Jul 18 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.68-1mdk
- new version, compiled with gal8

* Sun Jul 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.67-4mdk
- BuildRequires: db1-devel
- BuildRequires: GConf-devel
- BuildRequires: gdk-pixbuf-devel
- BuildRequires: oaf-devel
- BuildRequires: popt-devel
- BuildRequires: python-devel
- Copyright --> License
- Removed BuildRequires: libxml-devel
- Removed BuildRequires: ORBit-devel

* Fri Jul 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.67-3mdk
- with bonobo for real this time... (removed a 'percent' to avoid starting 
a second configure with the old options... pffff...) 
- guile support does not work: it needs a cvs version of guile...

* Tue Jul 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.67-2mdk
- updated summary

* Mon Jul  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.67-1mdk
- new version
- requires libgal7
- with bonobo
- updated file list

* Wed Jun 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.65-1mdk
- new version

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.64-3mdk
- Recompiled against latest gal

* Mon Mar 26 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.64-2mdk
- readded python scripts
- added missing .category files in autoformat templates directories 
(thanks to Laurent Montel for tumbling across the bug)

* Tue Mar 20 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.64-1mdk
- new version

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.63-2mdk
- minor corrections and more cleanup

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.63-1mdk
- new version
- separated devel package
- cleaned up spec

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.61-2mdk
- Recompiled against new gal

* Sun Dec 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.61-1mdk
- new and shiny source.
- changed the buildrequires and the requires for the newly named libole20.

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.58-1mdk
- new and shiny source.
- requires gnome-print >= 0.25
- requires gal >= 0.2.2
- buildrequires gnome-print-devel >= 0.25
- buildrequires gal >= 0.2.2

* Fri Oct 13 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.57-1mdk
- new version (needs gal)
- corrected install and added some files

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.56-4mdk
- added icons
- menu entry in spec file
- packager tag

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.56-3mdk
- BM (help by Damien)
- more macros

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.56-2mdk
- fix URL
- spec simplification through new chmou toys

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 0.56-1mdk
- updated to 0.56

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.54-1mdk
- updated to helix version.

* Sat May 27 2000 dam's <damien@mandrakesoft.com> 0.53-1mdk
- took new version from Helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.52-3mdk
- BuildRequires: gnome-print-devel.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-2mdk
- added a 32x32 icon for a better-looking KDE docking
- removed gnumeric.desktop because we don't need it, we have menu for that
- fixed /usr/share/locale/.. directory owns

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-1mdk
- took srpm from Helix [grrr.. they don't provide changelog, why?]
- add menu entry, with icon
